#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern int (* oau_factory_program_eeprom)(unsigned int bus, unsigned int dev, char *serial);

int main(int argc, char *argv[])
{
	int ret;
	unsigned int bus, dev;
	char serial[3] = { 'F', 'F', 0 };

	if (argc != 4) {
		fprintf(stderr, "usage: %s bus dev serialno\n", argv[0]);
		exit(1);
	}
	bus = strtol(argv[1], NULL, 0);
	dev = strtol(argv[2], NULL, 0);
	strncpy(serial, argv[3], sizeof(serial));

	ret = oau_factory_program_eeprom(bus, dev, serial);
	return ret;
}
